Перейти к публикации

Рекомендованные сообщения

Привет. Нажимаю в админке обновить, получаю - Контрольная сумма загруженного дистрибутива не совпадает с необходимой. Вероятно архив был поврежден при скачивании

Ссылка на сообщение
Поделиться на других сайтах

На сервере шли работы по обновлению ПО, автоматическое обновление было временно недоступно. Сейчас все работает в штатном режиме. Приносим извинения за доставленные неудобства.

Ссылка на сообщение
Поделиться на других сайтах
15.09.2021 в 12:49, Konstantine174 сказал:

Привет. Нажимаю в админке обновить, получаю - Контрольная сумма загруженного дистрибутива не совпадает с необходимой. Вероятно архив был поврежден при скачивании

Вы пресс релиз загрузили? Как присоединиться? 

Изменено пользователем nezov134
Ссылка на сообщение
Поделиться на других сайтах
12 часов назад, nezov134 сказал:

Вы пресс релиз загрузили? Как присоединиться? 

Покупай лицензию и обновляйся.

Ссылка на сообщение
Поделиться на других сайтах
13 часов назад, nezov134 сказал:

Вы пресс релиз загрузили? Как присоединиться? 

Нет. А обычную актуальную версию. Пресс релиз это информация о том что будет в следующей версии, а не дистрибутив для скачивания. 

Ссылка на сообщение
Поделиться на других сайтах
  • 1 месяц спустя...

При попытке обновиться через админ панель пишет:
"Не удалось подключится к удаленному серверу, возможно ваш сервер не поддерживает удаленные соединения, либо произошел сбой в работе наших серверов. Повторите попытку немного позднее ..."

Ссылка на сообщение
Поделиться на других сайтах
1 час назад, cluppi сказал:

При попытке обновиться через админ панель пишет:
"Не удалось подключится к удаленному серверу, возможно ваш сервер не поддерживает удаленные соединения, либо произошел сбой в работе наших серверов. Повторите попытку немного позднее ..."

Попросите техподдержку вашего хостинга обновить корневые сертификаты для openssl на сервере.

Ссылка на сообщение
Поделиться на других сайтах

Хотя у меня самого на версии PHP 7.4 не работает обновление. На других работает. Хостер пишет, что сертификаты обновлены. Спрашивает: "Как происходит обновление?". Мол, спросите у разработчика скрипта, чтобы понять, с чем связана ошибка.

Ссылка на сообщение
Поделиться на других сайтах

Причем, в 15-й версии проверка новой версии DLE работает на той же PHP 7.4, но на более ранних - нет. Полагаю. что все-таки проблема с сертификатами?

Ссылка на сообщение
Поделиться на других сайтах
12 часов назад, ntrtv сказал:

Причем, в 15-й версии проверка новой версии DLE работает на той же PHP 7.4, но на более ранних - нет. Полагаю. что все-таки проблема с сертификатами?

Верно. Это у вас проблема именно с корневыми сертификатами на вашем сервере. Если ранние версии не работают, а на 15 версии работает. В 15 версии просто принудительно отключена проверка того что установлено именно https соединение. Поэтому пусть все таки не халтурят, а действительно обновляют корневые сертификаты OS

12 часов назад, ntrtv сказал:

Спрашивает: "Как происходит обновление?". Мол, спросите у разработчика скрипта, чтобы понять, с чем связана ошибка.

Очень просто. Соединение идет к сайту dle-news.ru  по https протоколу. Стантартный 443 порт. Ничего необычного нет.

15 часов назад, cluppi сказал:

При попытке обновиться через админ панель пишет:
"Не удалось подключится к удаленному серверу, возможно ваш сервер не поддерживает удаленные соединения, либо произошел сбой в работе наших серверов. Повторите попытку немного позднее ..."

 

13 часов назад, ntrtv сказал:

Попросите техподдержку вашего хостинга обновить корневые сертификаты для openssl на сервере.

Необязательно проблема именно с сертификатами. Может быть просто запрещены исходящие внешние соединения или PHP функции для работы с внешними сайтами отключены. На самом деле разные причины могут быть.

Ссылка на сообщение
Поделиться на других сайтах
41 минуту назад, celsoft сказал:

Верно. Это у вас проблема именно с корневыми сертификатами на вашем сервере. Если ранние версии не работают, а на 15 версии работает. В 15 версии просто принудительно отключена проверка того что установлено именно https соединение. Поэтому пусть все таки не халтурят, а действительно обновляют корневые сертификаты OS

13 часов назад, ntrtv сказал:

Но ведь DLE 13.3 (другой наш сайт) на PHP 5.4.16  все в порядке. Подключается и "видит" актуальную версию на вашем сервере.

Ссылка на сообщение
Поделиться на других сайтах
1 час назад, ntrtv сказал:

Но ведь DLE 13.3 (другой наш сайт) на PHP 5.4.16  все в порядке. Подключается и "видит" актуальную версию на вашем сервере.

Один и тот же хостинг использует несколько серверов и ваши сайты по всей вероятности размещены на разных серверах... И конфигурация (обновления) серверов может отличаться. Если хостер "в танке" - меняйте хостера. Либо обновитесь вручную.

Ссылка на сообщение
Поделиться на других сайтах
1 час назад, ntrtv сказал:

на PHP 5.4.16  все в порядке

сравниваете в лоб список установленных расширений в обоих версиях php... и будет счастье ;)

Ссылка на сообщение
Поделиться на других сайтах
4 часа назад, ntrtv сказал:

Но ведь DLE 13.3 (другой наш сайт) на PHP 5.4.16  все в порядке. Подключается и "видит" актуальную версию на вашем сервере.

Потому что там где стоит ваш другой сайт все в порядке с сертификатами на сервере. Один и тот же хостинг, не означает один и тот же сервер. У хостинга может быть много серверов, более того вам скажу, даже один и тот же сервер не означает одну и ту же OS, на одном сервере их может быть не один десяток, те же VDS это разные копии OS и каждая использует свои корневые сертификаты ))). Повторю, речь идет о корневых сертификатов OS, по ним проверяется что https они безопасны. Когда они истекают, проверка не проходится и соединение не устанавливается.

А непосредственно версия PHP не имеет к этому отношения. 

Ссылка на сообщение
Поделиться на других сайтах
20 часов назад, ntrtv сказал:

Попросите техподдержку вашего хостинга обновить корневые сертификаты для openssl на сервере.

Благодарю, помогло.

Ссылка на сообщение
Поделиться на других сайтах

Присоединяйтесь к обсуждению

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.

Гость
Ответить в тему...

×   Вставлено в виде отформатированного текста.   Вставить в виде обычного текста

  Разрешено не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отобразить как ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставить изображения напрямую. Загрузите или вставьте изображения по ссылке.

×
×
  • Создать...